//! @file df_mem.h
//!
//! Copyright (c) 2004
//!
//! Use of this program is subject to Atmel's End User License Agreement.
//! Please read file license.txt for copyright notice.
//!
//! @brief This file contains the interface routines of Data Flash memory.
//!
//! @version 1.1 (c5131-mass-storage-complete-1_0_0)
//!
//! @todo
//! @bug
#ifndef _MMCMEM_H_
#define _MMCMEM_H_

#include <stdint.h>

//---- CONTROL FUNCTIONS ----

Ctrl_status    mmc_test_unit_ready(void);
Ctrl_status    mmc_read_capacity( U32 _MEM_TYPE_SLOW_ *u32_nb_sector );
Bool 					 mmc_is_protected();
Bool 					 mmc_is_notpresent();

//---- ACCESS FUNCTIONS ----

Ctrl_status    mmc_read_10( U32 addr , U16 nb_sector );
Ctrl_status	   mmc_write_10( U32 addr , U16 nb_sector );

Ctrl_status		 mmc_notimplemented();

#endif

